Перейти к содержимому

Повторная отправка кода

POST
/v1/auth/resend-code
curl --request POST \
--url https://api.rekassa.uz/v1/auth/resend-code \
--header 'Content-Type: application/json' \
--data '{ "challengeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Отправляет новый код для того же сценария (регистрация, вход, восстановление). Не чаще раза в 60 секунд.

X-Client
string

web for browser clients

Media typeapplication/json
object
challengeId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Examplegenerated
{
"challengeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
Media typeapplication/json
object
challengeId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
expiresIn
required

Seconds until the code expires

integer
>= -9007199254740991 <= 9007199254740991
resendIn
required

Seconds until a new code may be requested

integer
>= -9007199254740991 <= 9007199254740991
Examplegenerated
{
"challengeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"expiresIn": 1,
"resendIn": 1
}

Request is malformed (validation_failed)

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required

Localized by Accept-Language

string
details
object
key
additional properties
requestId
required
string
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": {
"additionalProperty": "example"
},
"requestId": "example"
}
}

Rate limited; see the Retry-After header

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required

Localized by Accept-Language

string
details
object
key
additional properties
requestId
required
string
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": {
"additionalProperty": "example"
},
"requestId": "example"
}
}